Package pygccxml :: Package declarations :: Module decl_printer

# Module decl_printer

source code

defines class, decl_printer_t that prints declarations tree in a user friendly format

Classes
decl_printer_t Helper class for printing decl tree.

Functions

print_declarations(decls, detailed=True, recursive=True, writer=<function <lambda> at 0x00F56630>) Print decl tree rooted at each of the included nodes. | source code

Function Details

### print_declarations(decls, detailed=True, recursive=True, writer=<function <lambda> at 0x00F56630>)

source code

Print decl tree rooted at each of the included nodes. decls - either a single decl or a list of decls.